ant-user mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From Stefan Bodewig <bode...@apache.org>
Subject Re: Ant and JDK 1.1 only?
Date Thu, 25 Apr 2002 13:14:57 GMT
On Thu, 25 Apr 2002, Edwin Guenthner <edgue@web.de> wrote:

> - is it doable?

yes.  I bootstrap using 1.1 from time to time to make sure we haven't
introduced any 1.2 dependencies.  There may be some optional tasks
that don't work on JDK 1.1.

> - is it recommended?

It will be a lot slower than 1.3.

Maybe you should develop with JDK 1.3 and jikes instead (point jikes
to classes.zip and set includejavaruntime to false in <javac>).

To make sure everything is OK, you could switch to JDK 1.1 and do a
clean build every now and then - your release builds should probably
better be done that way.

Stefan

--
To unsubscribe, e-mail:   <mailto:ant-user-unsubscribe@jakarta.apache.org>
For additional commands, e-mail: <mailto:ant-user-help@jakarta.apache.org>


Mime
View raw message